Bug 129720 - htt loops for unknown options
Summary: htt loops for unknown options
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: IIIMF
TreeView+ depends on / blocked
 
Reported: 2004-08-12 02:46 UTC by Jens Petersen
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-30 03:58:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2004-08-12 02:46:01 UTC
Description of problem:
htt, the wrapper to htt_server, just seems to pass on all option
args to htt_server and for unknown option the output loops forever.

Package version:
11.4-69.svn1856

How reproducible:
every time

Steps to Reproduce:
1. htt -h
2. htt --help
  
Actual results:
htt loops forever with:

:
htt_server [-d] [-lcbasiclocale localename]
           [-ifpath_name ifpath] [-if ifname]
           [-port portnumber] [-hostname hostname]
           [-conversionkeys keys]

htt_server [-d] [-lcbasiclocale localename]
           [-ifpath_name ifpath] [-if ifname]
           [-port portnumber] [-hostname hostname]
           [-conversionkeys keys]

:

Expected results:
The output to only appear once.

Additional info:
Presumably htt_server returns an error for a bad option, causing
htt to retry again and again.

Comment 1 Akira TAGOH 2004-08-17 04:45:25 UTC
should be fixed in -70.svn1856. please confirm it.

Comment 2 Jens Petersen 2004-08-17 07:39:45 UTC
Thanks.

It would be nice if htt printed out a error message too for
unknown options like htt_server does.

Comment 3 Lawrence Lim 2004-08-27 04:31:48 UTC
In the current rawhide 12.0.1-1, the command htt --help only display a
single line 'Usage: htt [-retryonerror NUM]' unlike 

htt_server [-d] [-lcbasiclocale localename]
           [-ifpath_name ifpath] [-if ifname]
           [-port portnumber] [-hostname hostname]
           [-conversionkeys keys]

Is this the correct behaviour?

Comment 4 Akira TAGOH 2004-08-27 05:31:45 UTC
Yes, right. but according to jens's suggestion, it will be changed.

Comment 5 Lawrence Lim 2004-08-30 03:58:15 UTC
Confirmed that the loop problem has been resolved in rawhide
(im-sdk-12.0.1-1).

Filed bug 131216 in regards to the error message.


Note You need to log in before you can comment on or make changes to this bug.